<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
        
        <h:form prependId="false">
            
            <p:messages id="msg" autoUpdate="true" />
            
            <p:panelGrid columns="2" id="painel">
                
                 <p:outputLabel for="txtCodido" value="Codigo:"  />
                 <p:inputText id="txtCodido" value="#{cadastroUsuarioBean.usuario.id}" />
                
                <p:outputLabel for="txtNome" value="Nome:"  />
                <p:inputText id="txtNome" value="#{loginBean.usuarioLogado.nome}" />
                
                 <p:outputLabel for="txtSenha" value="Senha:"  />
                 <p:inputText type="password" id="txtSenha" value="#{cadastroUsuarioBean.usuario.senha}" />
                
                 <p:commandButton value="Novo" actionListener="#{cadastroUsuarioBean.novo}" update="painel" />
                <p:commandButton value="Salvar" 
                                 actionListener="#{cadastroUsuarioBean.salvar}" 
                                 update="painel , tbUsuario" />
                
                
            </p:panelGrid>
            
            
            <p:dataTable id="tbUsuario" value="#{cadastroUsuarioBean.usuarios}" var="usuario">
            
                <p:column headerText="Código" width="100">
                    #{usuario.id}
                </p:column>
                
                <p:column headerText="Nome">
                    #{usuario.nome}
                </p:column>
            
            
            </p:dataTable>
            
            
            
            
        </h:form>
        
    </h:body>
</html>

